## igraph 1.0.1+ds

=== src/CMakeLists.txt ===

# Traverse subdirectories
add_subdirectory(centrality/prpack)
add_subdirectory(cliques/cliquer)
add_subdirectory(isomorphism/bliss)

# Generate lexers and parsers
set(PARSER_SOURCES)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/io/parsers)
foreach(FORMAT dl gml lgl ncol pajek)
  if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/io/parsers/${FORMAT}-parser.c)
    list(APPEND PARSER_SOURCES
      ${CMAKE_CURRENT_SOURCE_DIR}/io/parsers/${FORMAT}-lexer.c
      ${CMAKE_CURRENT_SOURCE_DIR}/io/parsers/${FORMAT}-parser.c
    )
  else()
    if (BISON_VERSION VERSION_GREATER_EQUAL 3)
      set(bison_no_deprecated -Wno-deprecated)
    endif()
    if (NOT FLEX_KEEP_LINE_NUMBERS)
      set(bison_hide_line_numbers --no-lines)
      set(flex_hide_line_numbers --noline)
    endif()
    bison_target(
      ${FORMAT}_parser io/${FORMAT}-parser.y ${CMAKE_CURRENT_BINARY_DIR}/io/parsers/${FORMAT}-parser.c
      COMPILE_FLAGS "${bison_hide_line_numbers} ${bison_no_deprecated}"
    )
    flex_target(
      ${FORMAT}_lexer io/${FORMAT}-lexer.l ${CMAKE_CURRENT_BINARY_DIR}/io/parsers/${FORMAT}-lexer.c
      COMPILE_FLAGS "${flex_hide_line_numbers}"
      DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/io/parsers/${FORMAT}-lexer.h
    )
    add_flex_bison_dependency(${FORMAT}_lexer ${FORMAT}_parser)
    list(APPEND PARSER_SOURCES ${BISON_${FORMAT}_parser_OUTPUTS} ${FLEX_${FORMAT}_lexer_OUTPUTS})
  endif()
endforeach()
add_custom_target(parsersources SOURCES ${PARSER_SOURCES})

# Declare the files needed to compile the igraph library
add_library(
  igraph
  core/bitset.c
  core/bitset_list.c
  core/buckets.c
  core/cutheap.c
  core/dqueue.c
  core/error.c
  core/estack.c
  core/fixed_vectorlist.c
  core/genheap.c
  core/grid.c
  core/heap.c
  core/indheap.c
  core/interruption.c
  core/marked_queue.c
  core/matrix.c
  core/matrix_list.c
  core/memory.c
  core/printing.c
  core/progress.c
  core/psumtree.c
  core/set.c
  core/setup.c
  core/sparsemat.c
  core/stack.c
  core/statusbar.c
  core/strvector.c
  core/trie.c
  core/vector.c
  core/vector_list.c
  core/vector_ptr.c

  math/complex.c
  math/safe_intop.c
  math/utils.c

  linalg/arpack.c
  linalg/blas.c
  linalg/eigen.c
  linalg/lapack.c

  random/random.c
  random/random_device.cpp
  random/rng_glibc2.c
  random/rng_mt19937.c
  random/rng_pcg32.c
  random/rng_pcg64.c
  random/sampling.c

  graph/adjlist.c
  graph/attributes.c
  graph/basic_query.c
  graph/caching.c
  graph/cattributes.c
  graph/graph_list.c
  graph/iterators.c
  graph/type_common.c
  graph/type_indexededgelist.c
  graph/visitors.c

  constructors/adjacency.c
  constructors/atlas.c
  constructors/basic_constructors.c
  constructors/circulant.c
  constructors/de_bruijn.c
  constructors/famous.c
  constructors/full.c
  constructors/generalized_petersen.c
  constructors/kautz.c
  constructors/lattices.c
  constructors/lcf.c
  constructors/linegraph.c
  constructors/mycielskian.c
  constructors/prufer.c
  constructors/regular.c
  constructors/trees.c

  games/barabasi.c
  games/callaway_traits.c
  games/chung_lu.c
  games/citations.c
  games/correlated.c
  games/degree_sequence_vl/gengraph_degree_sequence.cpp
  games/degree_sequence_vl/gengraph_graph_molloy_hash.cpp
  games/degree_sequence_vl/gengraph_graph_molloy_optimized.cpp
  games/degree_sequence_vl/gengraph_mr-connected.cpp
  games/degree_sequence.c
  games/dotproduct.c
  games/erdos_renyi.c
  games/establishment.c
  games/forestfire.c
  games/grg.c
  games/growing_random.c
  games/islands.c
  games/k_regular.c
  games/preference.c
  games/recent_degree.c
  games/sbm.c
  games/static_fitness.c
  games/tree.c
  games/watts_strogatz.c

  centrality/betweenness.c
  centrality/centrality_other.c
  centrality/centralization.c
  centrality/closeness.c
  centrality/coreness.c
  centrality/eigenvector.c
  centrality/hub_authority.c
  centrality/pagerank.c
  centrality/truss.cpp
  centrality/prpack.cpp

  cliques/cliquer_wrapper.c
  cliques/cliques.c
  cliques/maximal_cliques.c
  cliques/glet.c

  community/community_misc.c
  community/edge_betweenness.c
  community/fast_modularity.c
  community/fluid.c
  community/label_propagation.c
  community/leading_eigenvector.c
  community/leiden.c
  community/louvain.c
  community/modularity.c
  community/infomap.cpp
  community/optimal_modularity.c
  community/spinglass/clustertool.cpp
  community/spinglass/NetDataTypes.cpp
  community/spinglass/NetRoutines.cpp
  community/spinglass/pottsmodel_2.cpp
  community/voronoi.c
  community/walktrap/walktrap_communities.cpp
  community/walktrap/walktrap_graph.cpp
  community/walktrap/walktrap_heap.cpp
  community/walktrap/walktrap.cpp

  connectivity/cohesive_blocks.c
  connectivity/components.c
  connectivity/percolation.c
  connectivity/separators.c
  connectivity/reachability.c

  cycles/cycle_bases.c
        cycles/feedback_sets.c
  cycles/order_cycle.cpp
  cycles/simple_cycles.c

  flow/flow.c
  flow/flow_conversion.c
  flow/st-cuts.c

  hrg/hrg_types.cc
  hrg/hrg.cc

  io/dimacs.c
  io/dl.c
  io/dot.c
  io/edgelist.c
  io/graphml.c
  io/gml-tree.c
  io/gml.c
  io/graphdb.c
  io/leda.c
  io/lgl.c
  io/ncol.c
  io/pajek.c
  io/parse_utils.c
  ${PARSER_SOURCES}

  layout/align.c
  layout/circular.c
  layout/davidson_harel.c
  layout/drl/DensityGrid.cpp
  layout/drl/DensityGrid_3d.cpp
  layout/drl/drl_graph.cpp
  layout/drl/drl_graph_3d.cpp
  layout/drl/drl_layout.cpp
  layout/drl/drl_layout_3d.cpp
  layout/fruchterman_reingold.c
  layout/gem.c
  layout/graphopt.c
  layout/kamada_kawai.c
  layout/large_graph.c
  layout/layout_bipartite.c
  layout/layout_grid.c
  layout/layout_random.c
  layout/mds.c
  layout/merge_dla.c
  layout/merge_grid.c
  layout/reingold_tilford.c
  layout/sugiyama.c
  layout/umap.c

  operators/add_edge.c
  operators/complementer.c
  operators/compose.c
  operators/connect_neighborhood.c
  operators/contract.c
  operators/difference.c
  operators/disjoint_union.c
  operators/intersection.c
  operators/join.c
  operators/misc_internal.c
  operators/permute.c
  operators/products.c
  operators/reverse.c
  operators/rewire.c
  operators/rewire_edges.c
  operators/simplify.c
  operators/subgraph.c
  operators/union.c

  paths/all_shortest_paths.c
  paths/astar.c
  paths/bellman_ford.c
  paths/dijkstra.c
  paths/distances.c
  paths/eulerian.c
  paths/floyd_warshall.c
  paths/histogram.c
  paths/johnson.c
  paths/random_walk.c
  paths/shortest_paths.c
  paths/simple_paths.c
  paths/sparsifier.c
  paths/unweighted.c
  paths/voronoi.c
  paths/widest_paths.c

  properties/basic_properties.c
  properties/complete.c
  properties/constraint.c
  properties/convergence_degree.c
  properties/dag.c
  properties/degrees.c
  properties/ecc.c
  properties/girth.c
  properties/loops.c
  properties/multiplicity.c
  properties/neighborhood.c
  properties/perfect.c
  properties/rich_club.c
  properties/spectral.c
  properties/trees.c
  properties/triangles.c

  isomorphism/bliss.cc
  isomorphism/isoclasses.c
  isomorphism/lad.c
  isomorphism/isomorphism_misc.c
  isomorphism/queries.c
  isomorphism/vf2.c

  misc/bipartite.c
  misc/chordality.c
  misc/cocitation.c
  misc/coloring.c
  misc/conversion.c
  misc/degree_sequence.cpp
  misc/embedding.c
  misc/graphicality.c
  misc/matching.c
  misc/mixing.c
  misc/motifs.c
  misc/other.c
  misc/power_law_fit.c
  misc/scan.c
  misc/sir.c
  misc/spanning_trees.c

  spatial/beta_skeleton.cpp
  spatial/delaunay.c
  spatial/convex_hull.c
  spatial/edge_lengths.c
  spatial/nearest_neighbor.cpp

  internal/glpk_support.c
  internal/hacks.c
  internal/lsap.c
  internal/qsort_r.c
  internal/qsort.c
  internal/utils.c

  version.c

  # Vendored library sources. Yes, this is horrible.
  $<IF:$<OR:$<BOOL:${ARPACK_IS_VENDORED}>,$<BOOL:${BLAS_IS_VENDORED}>,$<BOOL:${LAPACK_IS_VENDORED}>>,$<TARGET_OBJECTS:f2c_vendored>,>
  $<IF:$<BOOL:${ARPACK_IS_VENDORED}>,$<TARGET_OBJECTS:arpack_vendored>,>
  $<IF:$<BOOL:${BLAS_IS_VENDORED}>,$<TARGET_OBJECTS:blas_vendored>,>
  $<IF:$<BOOL:${GLPK_IS_VENDORED}>,$<TARGET_OBJECTS:glpk_vendored>,>
  $<IF:$<BOOL:${INFOMAP_IS_VENDORED}>,$<TARGET_OBJECTS:infomap_vendored>,>
  $<IF:$<BOOL:${GMP_IS_VENDORED}>,$<TARGET_OBJECTS:gmp_vendored>,>
  $<IF:$<BOOL:${LAPACK_IS_VENDORED}>,$<TARGET_OBJECTS:lapack_vendored>,>
  $<IF:$<BOOL:${PLFIT_IS_VENDORED}>,$<TARGET_OBJECTS:plfit_vendored>,>
)

# Required by Xcode new build system
add_dependencies(igraph parsersources)

# Set soname for the library
set_target_properties(igraph PROPERTIES VERSION "4.0.1")
set_target_properties(igraph PROPERTIES SOVERSION 4)

# Add extra compiler definitions if needed
target_compile_definitions(
  igraph
  PRIVATE
  IGRAPH_VERIFY_FINALLY_STACK=$<IF:$<BOOL:${IGRAPH_VERIFY_FINALLY_STACK}>,1,0>
)
# target_compile_options(
#   # -Wconversion could be useful?
#   igraph PRIVATE -Wshorten-64-to-32
# )

# Make sure that a macro named IGRAPH_FILE_BASENAME is provided in every
# compiler call so we can use these in debug messages without revealing the
# full path of the file on the machine where it was compiled
define_file_basename_for_sources(igraph)

# Add include path. Includes are in ../include but they get installed to
# <prefix>/include/igraph, hence the two options. We also have some private
# includes that are generated at compile time but are not part of the public
# interface.
target_include_directories(
  igraph
  PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
  $<INSTALL_INTERFACE:include/igraph>
  PRIVATE
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${PROJECT_SOURCE_DIR}/vendor

  # Vendored library include paths
  "$<$<BOOL:${GLPK_IS_VENDORED}>:$<TARGET_PROPERTY:glpk_vendored,INCLUDE_DIRECTORIES>>"
  "$<$<BOOL:${INFOMAP_IS_VENDORED}>:$<TARGET_PROPERTY:infomap_vendored,INCLUDE_DIRECTORIES>>"
  "$<$<BOOL:${PLFIT_IS_VENDORED}>:$<TARGET_PROPERTY:plfit_vendored,INCLUDE_DIRECTORIES>>"

  # Include paths for dependencies
  "$<$<BOOL:${GLPK_INCLUDE_DIR}>:${GLPK_INCLUDE_DIR}>"
  "$<$<BOOL:${INFOMAP_INCLUDE_DIR}>:${INFOMAP_INCLUDE_DIR}>"
  "$<$<BOOL:${GMP_INCLUDE_DIR}>:${GMP_INCLUDE_DIR}>"
  "$<$<BOOL:${LIBXML2_INCLUDE_DIRS}>:${LIBXML2_INCLUDE_DIRS}>"
  "$<$<BOOL:${PLFIT_INCLUDE_DIRS}>:${PLFIT_INCLUDE_DIRS}>"
)

if(MATH_LIBRARY)
  target_link_libraries(igraph PUBLIC ${MATH_LIBRARY})
endif()

if(ARPACK_LIBRARIES)
  target_link_libraries(igraph PRIVATE ${ARPACK_LIBRARIES})
endif()

if(BLAS_FOUND)
  target_link_libraries(igraph PRIVATE ${BLAS_LIBRARIES})
endif()

if(GLPK_LIBRARIES)
  target_link_libraries(igraph PRIVATE ${GLPK_LIBRARIES})
endif()

if(INFOMAP_LIBRARIES)
  target_link_libraries(igraph PRIVATE ${INFOMAP_LIBRARIES})
endif()

if(GMP_LIBRARIES)
  target_link_libraries(igraph PRIVATE ${GMP_LIBRARIES})
endif()

if(LAPACK_LIBRARIES)
  target_link_libraries(igraph PRIVATE ${LAPACK_LIBRARIES})
endif()

if(LIBXML2_LIBRARIES)
  target_link_libraries(igraph PRIVATE ${LIBXML2_LIBRARIES})
endif()

if(PLFIT_LIBRARIES)
  target_link_libraries(igraph PRIVATE ${PLFIT_LIBRARIES})
endif()

# Link igraph statically to some of the libraries from the subdirectories
target_link_libraries(
  igraph
  PRIVATE
  bliss cliquer cxsparse_vendored pcg prpack qhull_vendored
)

if (NOT BUILD_SHARED_LIBS)
  target_compile_definitions(igraph PUBLIC IGRAPH_STATIC)
else()
  target_compile_definitions(igraph PRIVATE igraph_EXPORTS)
endif()

if(MSVC)
  # Add MSVC-specific include path for some headers that are missing on Windows
  target_include_directories(igraph PRIVATE ${PROJECT_SOURCE_DIR}/msvc/include)
endif()

# Turn on all warnings for GCC, clang and MSVC
use_all_warnings(igraph)

# GNUInstallDirs be included before generating the pkgconfig file, as it defines
# CMAKE_INSTALL_LIBDIR and CMAKE_INSTALL_INCLUDEDIR variables.
include(GNUInstallDirs)

# Generate pkgconfig file
include(pkgconfig_helpers)

include(GenerateExportHeader)
generate_export_header(igraph
  STATIC_DEFINE IGRAPH_STATIC
  EXPORT_FILE_NAME ${PROJECT_BINARY_DIR}/include/igraph_export.h
)

=== debian/changelog ===
igraph (1.0.1+ds-3) unstable; urgency=medium

  * Debianization:
    - d/t/control:
      - benchmarks tests, discard riscv64 architecture.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 03 Jan 2026 19:13:53 +0000

igraph (1.0.1+ds-2) unstable; urgency=medium

  * Debianization:
    - d/t/control:
      - benchmarks test with OpenBLAS, discard riscv64 architecture;
    - d/copyright:
      - Copyright year-tuples, update;
    - d/control:
      - Standards-Version, dump to 4.7.3 (no change);

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 01 Jan 2026 11:57:57 +0000

igraph (1.0.1+ds-1) unstable; urgency=medium

  * New upstream micro version.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 26 Dec 2025 20:50:26 +0000

igraph (1.0.0+ds-5) unstable; urgency=medium

  * Debianization:
    - d/tests/*:
      -d/t/control, add tests involving the OpenBLAS implementation.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 22 Nov 2025 23:13:50 +0000

igraph (1.0.0+ds-4) unstable; urgency=medium

  * Serious fix release, now build autopkgtest_s with -O2 (Closes: #1118436).
  * Debianization:
    - d/adhoc/e/*/Makefile, now add `-O2` to CFLAGS;
    - d/adhoc/e/b/Makefile, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 18 Nov 2025 00:38:27 +0000

=== debian/control ===
Source: igraph
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               cmake,
               d-shlibs,
               bison,
               flex,
               libxml2-dev,
               libplfit-dev,
               libgmp-dev,
               libarpack2-dev,
               libblas-dev,
               liblapack-dev,
               libglpk-dev,
               libf2c2-dev,
               liblzma-dev
Build-Depends-Indep: python3,
                     xmlto,
                     source-highlight,
                     fop,
                     fonts-font-awesome,
                     libxml2-utils,
                     docbook2x,
                     texinfo
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/med-team/igraph
Vcs-Git: https://salsa.debian.org/med-team/igraph.git
Homepage: https://igraph.org/c/

Package: libigraph4
Provides: ${t64:Provides}
Replaces: libigraph3
Breaks: libigraph3 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for creating and manipulating graphs
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This is the runtime library package.

Package: libigraph-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libigraph4 (= ${binary:Version}),
         libxml2-dev,
         ${devlibs:Depends},
         ${misc:Depends}
Suggests: libigraph-doc,
          pkgconf
Description: library for creating and manipulating graphs - development files
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This package contains the include files and static library for the igraph
 C library.

Package: libigraph-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: fonts-font-awesome,
         ${misc:Depends}
Suggests: libigraph-dev (= ${binary:Version}),
          libsuitesparse-dev,
          www-browser
Breaks: libigraph-examples (<< 0.9)
Replaces: libigraph-examples (<< 0.9)
Description: library for creating and manipulating graphs - reference manual
 igraph is a library for creating and manipulating graphs.
 It is intended to be as powerful (ie. fast) as possible to enable the
 analysis of large graphs.
 .
 This package provides the reference manual for the igraph C library;
 it also contains examples and tutorial material.

Package: libigraph-examples
Architecture: all
Multi-Arch: foreign
Section: oldlibs
Depends: libigraph-doc,
         ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

=== debian/tests/control ===
## wiki on how handle different versions of BLAS and LAPACK in Debian:
## https://wiki.debian.org/DebianScience/LinearAlgebraLibraries


## Tests with the reference implementation of BLAS and LAPACK

Test-Command: debian/tests/check simple
Depends: libigraph-dev, libigraph-doc, locales-all, build-essential, pkgconf

Test-Command: debian/tests/check tutorial
Depends: libigraph-dev, libigraph-doc, build-essential, pkgconf

Test-Command: debian/tests/check benchmarks
Architecture: !riscv64
Depends: libigraph-dev, libplfit-dev, libigraph-doc, build-essential, pkgconf


## Tests with the OpenBLAS implementation of BLAS and LAPACK

Test-Command: debian/tests/check simple
Depends: libopenblas-dev, libigraph-dev, libigraph-doc, locales-all, build-essential, pkgconf

Test-Command: debian/tests/check tutorial
Depends: libopenblas-dev, libigraph-dev, libigraph-doc, build-essential, pkgconf

Test-Command: debian/tests/check benchmarks
Architecture: !riscv64
Depends: libopenblas-dev, libigraph-dev, libplfit-dev, libigraph-doc, build-essential, pkgconf

## igraph 1.1.1

=== DESCRIPTION ===
Package: igraph
Version: 1.1.1
Title: Network Analysis and Visualization
Author: See AUTHORS file.
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. It can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality methods and much more.
Depends: methods
Imports: graphics, grDevices, irlba, magrittr, Matrix, pkgconfig (>=
        2.0.0), stats, utils
Suggests: ape, graph, igraphdata, NMF, rgl, scales, stats4, tcltk,
        testthat
License: GPL (>= 2)
URL: http://igraph.org
SystemRequirements: gmp, libxml2
BugReports: https://github.com/igraph/igraph/issues
Encoding: UTF-8
Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
        'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
        'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'community.R'
        'components.R' 'console.R' 'conversion.R' 'data_frame.R'
        'decomposition.R' 'degseq.R' 'demo.R' 'embedding.R' 'epi.R'
        'fit.R' 'flow.R' 'foreign.R' 'games.R' 'glet.R' 'hrg.R'
        'igraph-package.R' 'incidence.R' 'indexing.R' 'interface.R'
        'iterators.R' 'layout.R' 'layout_drl.R' 'lazyeval.R' 'make.R'
        'mgclust.R' 'minimum.spanning.tree.R' 'motifs.R' 'nexus.R'
        'operators.R' 'other.R' 'package.R' 'palette.R' 'par.R'
        'paths.R' 'plot.R' 'plot.common.R' 'plot.shapes.R' 'pp.R'
        'print.R' 'printr.R' 'random_walk.R' 'rewire.R' 'scan.R'
        'scg.R' 'sgm.R' 'similarity.R' 'simple.R' 'sir.R' 'socnet.R'
        'sparsedf.R' 'structural.properties.R' 'structure.info.R'
        'test.R' 'tkplot.R' 'topology.R' 'triangles.R' 'utils.R'
        'uuid.R' 'versions.R' 'weakref.R' 'zzz-deprecate.R'
RoxygenNote: 6.0.1.9000
NeedsCompilation: yes
Packaged: 2017-07-14 06:30:21 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2017-07-16 16:29:26 UTC

## igraph 1.2.2

=== DESCRIPTION ===
Package: igraph
Version: 1.2.2
Title: Network Analysis and Visualization
Author: See AUTHORS file.
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Description: Routines for simple graphs and network analysis. It can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality methods and much more.
Depends: methods
Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
        stats, utils
Suggests: ape, digest, graph, igraphdata, rgl, scales, stats4, tcltk,
        testthat
License: GPL (>= 2)
URL: http://igraph.org
SystemRequirements: gmp (optional), libxml2 (optional), glpk (optional)
BugReports: https://github.com/igraph/igraph/issues
Encoding: UTF-8
Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
        'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
        'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'community.R'
        'components.R' 'console.R' 'conversion.R' 'data_frame.R'
        'decomposition.R' 'degseq.R' 'demo.R' 'embedding.R' 'epi.R'
        'fit.R' 'flow.R' 'foreign.R' 'games.R' 'glet.R' 'hrg.R'
        'igraph-package.R' 'incidence.R' 'indexing.R' 'interface.R'
        'iterators.R' 'layout.R' 'layout_drl.R' 'lazyeval.R' 'make.R'
        'minimum.spanning.tree.R' 'motifs.R' 'nexus.R' 'operators.R'
        'other.R' 'package.R' 'palette.R' 'par.R' 'paths.R' 'plot.R'
        'plot.common.R' 'plot.shapes.R' 'pp.R' 'print.R' 'printr.R'
        'random_walk.R' 'rewire.R' 'scan.R' 'scg.R' 'sgm.R'
        'similarity.R' 'simple.R' 'sir.R' 'socnet.R' 'sparsedf.R'
        'structural.properties.R' 'structure.info.R' 'test.R'
        'tkplot.R' 'topology.R' 'triangles.R' 'utils.R' 'uuid.R'
        'versions.R' 'weakref.R' 'zzz-deprecate.R'
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-07-27 08:53:48 UTC; gaborcsardi
Repository: CRAN
Date/Publication: 2018-07-27 14:50:02 UTC

=== src/CHOLMOD/Makefile ===
#-------------------------------------------------------------------------------
# CHOLMOD Makefile
#-------------------------------------------------------------------------------

VERSION = 2.1.2

# Note: If you do not have METIS, or do not wish to use it in CHOLMOD, you must
# compile CHOLMOD with the -DNPARTITION flag.
# See ../SuiteSparse_config/SuiteSparse_config.mk .

default: all

include ../SuiteSparse_config/SuiteSparse_config.mk

# Compile the C-callable libraries and the Demo programs.
all:
	( cd Demo ; $(MAKE) )

# Compile the C-callable libraries only.
library:
	( cd Lib ; $(MAKE) )

# Remove all files not in the original distribution
purge:
	( cd Tcov ; $(MAKE) purge )
	( cd Lib ; $(MAKE) purge )
	( cd Valgrind ; $(MAKE) dopurge )
	( cd Demo ; $(MAKE) purge )
	( cd Doc ; $(MAKE) purge )
	( cd MATLAB ; $(RM) $(CLEAN) rename.h *.mex* )

# Remove all files not in the original distribution, except keep the 
# compiled libraries.
clean:
	( cd Tcov ; $(MAKE) clean )
	( cd Lib ; $(MAKE) clean )
	( cd Valgrind ; $(MAKE) clean )
	( cd Demo ; $(MAKE) clean )
	( cd MATLAB ; $(RM) $(CLEAN) )

distclean: purge

ccode: all

# Run the test coverage suite.  Takes about 40 minutes on a 3.2GHz Pentium.
# Requires Linux (gcc, gcov).
cov:
	( cd Tcov ; $(MAKE) )

# Run the test coverage suite using Valgrind.  This takes a *** long *** time.
valgrind:
	( cd Valgrind ; $(MAKE) )

# Compile the C-callable libraries and the Demo programs.
demos:
	( cd Demo ; $(MAKE) )

# create PDF documents for the original distribution
docs:
	( cd Doc    ; $(MAKE) )

# install CHOLMOD
install:
	$(CP) Lib/libcholmod.a $(INSTALL_LIB)/libcholmod.$(VERSION).a
	( cd $(INSTALL_LIB) ; ln -sf libcholmod.$(VERSION).a libcholmod.a )
	$(CP) Include/cholmod*.h $(INSTALL_INCLUDE)
	$(RM) $(INSTALL_INCLUDE)/cholmod_internal.h
	chmod 644 $(INSTALL_LIB)/libcholmod*.a
	chmod 644 $(INSTALL_INCLUDE)/cholmod*.h

# uninstall CHOLMOD
uninstall:
	$(RM) $(INSTALL_LIB)/libcholmod*.a
	$(RM) $(INSTALL_INCLUDE)/cholmod*.h

## igraph 1.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.2.2
+Version: 1.2.4
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
@@ -16,6 +16,7 @@
 SystemRequirements: gmp (optional), libxml2 (optional), glpk (optional)
 BugReports: https://github.com/igraph/igraph/issues
 Encoding: UTF-8
+RoxygenNote: 6.1.1
 Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
         'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
         'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'community.R'
@@ -32,8 +33,7 @@
         'structural.properties.R' 'structure.info.R' 'test.R'
         'tkplot.R' 'topology.R' 'triangles.R' 'utils.R' 'uuid.R'
         'versions.R' 'weakref.R' 'zzz-deprecate.R'
-RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-07-27 08:53:48 UTC; gaborcsardi
+Packaged: 2019-02-13 11:36:26 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2018-07-27 14:50:02 UTC
+Date/Publication: 2019-02-13 17:40:19 UTC

## igraph 1.2.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.2.4
+Version: 1.2.4.1
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
@@ -34,6 +34,6 @@
         'tkplot.R' 'topology.R' 'triangles.R' 'utils.R' 'uuid.R'
         'versions.R' 'weakref.R' 'zzz-deprecate.R'
 NeedsCompilation: yes
-Packaged: 2019-02-13 11:36:26 UTC; gaborcsardi
+Packaged: 2019-04-21 07:44:54 UTC; ripley
 Repository: CRAN
-Date/Publication: 2019-02-13 17:40:19 UTC
+Date/Publication: 2019-04-22 06:57:32 UTC

## igraph 1.2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.2.4.1
+Version: 1.2.5
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
@@ -10,13 +10,13 @@
 Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
         stats, utils
 Suggests: ape, digest, graph, igraphdata, rgl, scales, stats4, tcltk,
-        testthat
+        testthat, withr
 License: GPL (>= 2)
 URL: http://igraph.org
 SystemRequirements: gmp (optional), libxml2 (optional), glpk (optional)
 BugReports: https://github.com/igraph/igraph/issues
 Encoding: UTF-8
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.0
 Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
         'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
         'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'community.R'
@@ -34,6 +34,6 @@
         'tkplot.R' 'topology.R' 'triangles.R' 'utils.R' 'uuid.R'
         'versions.R' 'weakref.R' 'zzz-deprecate.R'
 NeedsCompilation: yes
-Packaged: 2019-04-21 07:44:54 UTC; ripley
+Packaged: 2020-03-18 14:51:55 UTC; gaborcsardi
 Repository: CRAN
-Date/Publication: 2019-04-22 06:57:32 UTC
+Date/Publication: 2020-03-19 09:20:03 UTC

## igraph 1.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Package: igraph
-Version: 1.2.5
+Version: 1.2.7
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
-Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
+Maintainer: Tamás Nepusz <ntamas@gmail.com>
 Description: Routines for simple graphs and network analysis. It can
   handle large graphs very well and provides functions for generating random
   and regular graphs, graph visualization, centrality methods and much more.
 Depends: methods
 Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
         stats, utils
-Suggests: ape, digest, graph, igraphdata, rgl, scales, stats4, tcltk,
-        testthat, withr
+Suggests: ape, graph, igraphdata, rgl, scales, stats4, tcltk, testthat,
+        withr, digest
 License: GPL (>= 2)
-URL: http://igraph.org
+URL: https://igraph.org
 SystemRequirements: gmp (optional), libxml2 (optional), glpk (optional)
-BugReports: https://github.com/igraph/igraph/issues
+BugReports: https://github.com/igraph/rigraph/issues
 Encoding: UTF-8
-RoxygenNote: 7.1.0
 Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
         'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
         'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'community.R'
@@ -33,7 +32,8 @@
         'structural.properties.R' 'structure.info.R' 'test.R'
         'tkplot.R' 'topology.R' 'triangles.R' 'utils.R' 'uuid.R'
         'versions.R' 'weakref.R' 'zzz-deprecate.R'
+RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2020-03-18 14:51:55 UTC; gaborcsardi
+Packaged: 2021-10-14 22:36:43 UTC; tamas
 Repository: CRAN
-Date/Publication: 2020-03-19 09:20:03 UTC
+Date/Publication: 2021-10-15 10:20:05 UTC

## igraph 1.2.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.2.7
+Version: 1.2.8
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Tamás Nepusz <ntamas@gmail.com>
@@ -34,6 +34,6 @@
         'versions.R' 'weakref.R' 'zzz-deprecate.R'
 RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2021-10-14 22:36:43 UTC; tamas
+Packaged: 2021-11-05 10:58:44 UTC; tamas
 Repository: CRAN
-Date/Publication: 2021-10-15 10:20:05 UTC
+Date/Publication: 2021-11-07 16:40:02 UTC

## igraph 1.2.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.2.8
+Version: 1.2.9
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Tamás Nepusz <ntamas@gmail.com>
@@ -34,6 +34,6 @@
         'versions.R' 'weakref.R' 'zzz-deprecate.R'
 RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2021-11-05 10:58:44 UTC; tamas
+Packaged: 2021-11-23 06:30:13 UTC; tamas
 Repository: CRAN
-Date/Publication: 2021-11-07 16:40:02 UTC
+Date/Publication: 2021-11-23 23:50:02 UTC

## igraph 1.2.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.2.9
+Version: 1.2.10
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Tamás Nepusz <ntamas@gmail.com>
@@ -34,6 +34,6 @@
         'versions.R' 'weakref.R' 'zzz-deprecate.R'
 RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2021-11-23 06:30:13 UTC; tamas
+Packaged: 2021-12-14 22:04:24 UTC; tamas
 Repository: CRAN
-Date/Publication: 2021-11-23 23:50:02 UTC
+Date/Publication: 2021-12-15 07:40:02 UTC

## igraph 1.3.0

=== DESCRIPTION ===
Package: igraph
Version: 1.3.0
Title: Network Analysis and Visualization
Author: See AUTHORS file.
Maintainer: Tamás Nepusz <ntamas@gmail.com>
Description: Routines for simple graphs and network analysis. It can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality methods and much more.
Depends: methods
Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
        stats, utils
Suggests: ape, graph, igraphdata, rgl, scales, stats4, tcltk, testthat,
        withr, digest
License: GPL (>= 2)
URL: https://igraph.org
SystemRequirements: gmp (optional), libxml2 (optional), glpk (>= 4.57,
        optional), C++11
BugReports: https://github.com/igraph/rigraph/issues
Encoding: UTF-8
Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
        'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
        'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'coloring.R'
        'community.R' 'components.R' 'console.R' 'conversion.R'
        'data_frame.R' 'decomposition.R' 'degseq.R' 'demo.R'
        'efficiency.R' 'embedding.R' 'epi.R' 'eulerian.R' 'fit.R'
        'flow.R' 'foreign.R' 'games.R' 'glet.R' 'hrg.R'
        'igraph-package.R' 'incidence.R' 'indexing.R' 'interface.R'
        'iterators.R' 'layout.R' 'layout_drl.R' 'lazyeval.R' 'make.R'
        'minimum.spanning.tree.R' 'motifs.R' 'nexus.R' 'operators.R'
        'other.R' 'package.R' 'palette.R' 'par.R' 'paths.R' 'plot.R'
        'plot.common.R' 'plot.shapes.R' 'pp.R' 'print.R' 'printr.R'
        'random_walk.R' 'rewire.R' 'scan.R' 'scg.R' 'sgm.R'
        'similarity.R' 'simple.R' 'sir.R' 'socnet.R' 'sparsedf.R'
        'structural.properties.R' 'structure.info.R' 'test.R'
        'tkplot.R' 'topology.R' 'trees.R' 'triangles.R' 'utils.R'
        'uuid.R' 'versions.R' 'weakref.R' 'zzz-deprecate.R'
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2022-03-30 19:46:25 UTC; tamas
Repository: CRAN
Date/Publication: 2022-04-01 06:50:03 UTC

## igraph 1.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.3.0
+Version: 1.3.1
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Tamás Nepusz <ntamas@gmail.com>
@@ -12,7 +12,7 @@
 Suggests: ape, graph, igraphdata, rgl, scales, stats4, tcltk, testthat,
         withr, digest
 License: GPL (>= 2)
-URL: https://igraph.org
+URL: https://igraph.org, https://igraph.discourse.group/
 SystemRequirements: gmp (optional), libxml2 (optional), glpk (>= 4.57,
         optional), C++11
 BugReports: https://github.com/igraph/rigraph/issues
@@ -36,6 +36,6 @@
         'uuid.R' 'versions.R' 'weakref.R' 'zzz-deprecate.R'
 RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2022-03-30 19:46:25 UTC; tamas
+Packaged: 2022-04-19 16:32:56 UTC; tamas
 Repository: CRAN
-Date/Publication: 2022-04-01 06:50:03 UTC
+Date/Publication: 2022-04-20 16:52:36 UTC

## igraph 1.3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.3.1
+Version: 1.3.2
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Tamás Nepusz <ntamas@gmail.com>
@@ -36,6 +36,6 @@
         'uuid.R' 'versions.R' 'weakref.R' 'zzz-deprecate.R'
 RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2022-04-19 16:32:56 UTC; tamas
+Packaged: 2022-06-13 12:54:06 UTC; tamas
 Repository: CRAN
-Date/Publication: 2022-04-20 16:52:36 UTC
+Date/Publication: 2022-06-13 15:40:05 UTC

## igraph 1.3.3

=== DESCRIPTION ===
Package: igraph
Version: 1.3.3
Title: Network Analysis and Visualization
Author: See AUTHORS file.
Maintainer: Tamás Nepusz <ntamas@gmail.com>
Description: Routines for simple graphs and network analysis. It can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality methods and much more.
Depends: methods
Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
        rlang, stats, utils
Suggests: ape, graph, igraphdata, rgl, scales, stats4, tcltk, testthat,
        withr, digest
License: GPL (>= 2)
URL: https://igraph.org, https://igraph.discourse.group/
SystemRequirements: gmp (optional), libxml2 (optional), glpk (>= 4.57,
        optional), C++11
BugReports: https://github.com/igraph/rigraph/issues
Encoding: UTF-8
Collate: 'adjacency.R' 'auto.R' 'assortativity.R' 'attributes.R'
        'basic.R' 'bipartite.R' 'centrality.R' 'centralization.R'
        'cliques.R' 'cocitation.R' 'cohesive.blocks.R' 'coloring.R'
        'community.R' 'components.R' 'console.R' 'conversion.R'
        'data_frame.R' 'decomposition.R' 'degseq.R' 'demo.R'
        'efficiency.R' 'embedding.R' 'env-and-data.R' 'epi.R'
        'eulerian.R' 'fit.R' 'flow.R' 'foreign.R' 'games.R' 'glet.R'
        'hrg.R' 'igraph-package.R' 'incidence.R' 'indexing.R'
        'interface.R' 'iterators.R' 'layout.R' 'layout_drl.R'
        'lazyeval.R' 'make.R' 'minimum.spanning.tree.R' 'motifs.R'
        'nexus.R' 'operators.R' 'other.R' 'package.R' 'palette.R'
        'par.R' 'paths.R' 'plot.R' 'plot.common.R' 'plot.shapes.R'
        'pp.R' 'print.R' 'printr.R' 'random_walk.R' 'rewire.R' 'scan.R'
        'scg.R' 'sgm.R' 'similarity.R' 'simple.R' 'sir.R' 'socnet.R'
        'sparsedf.R' 'structural.properties.R' 'structure.info.R'
        'test.R' 'tkplot.R' 'topology.R' 'trees.R' 'triangles.R'
        'utils.R' 'uuid.R' 'versions.R' 'weakref.R' 'zzz-deprecate.R'
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2022-07-14 22:11:03 UTC; tamas
Repository: CRAN
Date/Publication: 2022-07-15 00:20:02 UTC

## igraph 1.3.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.3.3
+Version: 1.3.4
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Tamás Nepusz <ntamas@gmail.com>
@@ -36,6 +36,6 @@
         'utils.R' 'uuid.R' 'versions.R' 'weakref.R' 'zzz-deprecate.R'
 RoxygenNote: 7.1.2
 NeedsCompilation: yes
-Packaged: 2022-07-14 22:11:03 UTC; tamas
+Packaged: 2022-07-19 16:30:43 UTC; tamas
 Repository: CRAN
-Date/Publication: 2022-07-15 00:20:02 UTC
+Date/Publication: 2022-07-19 21:30:02 UTC

## igraph 1.4.0

=== DESCRIPTION ===
Package: igraph
Version: 1.4.0
Title: Network Analysis and Visualization
Author: See AUTHORS file.
Maintainer: Tamás Nepusz <ntamas@gmail.com>
Description: Routines for simple graphs and network analysis. It can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality methods and much more.
Depends: methods
Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
        rlang, stats, utils
Suggests: ape, digest, graph, igraphdata, rgl, scales, stats4, tcltk,
        testthat, withr, vdiffr, knitr, rmarkdown
License: GPL (>= 2)
URL: https://igraph.org, https://igraph.discourse.group/
SystemRequirements: gmp (optional), libxml2 (optional), glpk (>= 4.57,
        optional)
BugReports: https://github.com/igraph/rigraph/issues
Encoding: UTF-8
Config/Needs/build: roxygen2, devtools, irlba, pkgconfig
Config/Needs/coverage: covr
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: vs-es, scan, vs-operators, weakref,
        watts.strogatz.game
RoxygenNote: 7.2.3
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2023-02-09 08:27:13 UTC; tamas
Repository: CRAN
Date/Publication: 2023-02-10 09:50:07 UTC

## igraph 1.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.4.0
+Version: 1.4.1
 Title: Network Analysis and Visualization
 Author: See AUTHORS file.
 Maintainer: Tamás Nepusz <ntamas@gmail.com>
@@ -26,6 +26,6 @@
 RoxygenNote: 7.2.3
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-02-09 08:27:13 UTC; tamas
+Packaged: 2023-02-23 20:03:21 UTC; tamas
 Repository: CRAN
-Date/Publication: 2023-02-10 09:50:07 UTC
+Date/Publication: 2023-02-24 10:50:04 UTC

## igraph 1.4.2

=== DESCRIPTION ===
Package: igraph
Version: 1.4.2
Title: Network Analysis and Visualization
Description: Routines for simple graphs and network analysis. It can
  handle large graphs very well and provides functions for generating random
  and regular graphs, graph visualization, centrality methods and much more.
Depends: R (>= 3.0.2), methods
Imports: graphics, grDevices, magrittr, Matrix, pkgconfig (>= 2.0.0),
        rlang, stats, utils
Suggests: ape (>= 5.7-0.1), decor, digest, graph, igraphdata, rgl,
        scales, stats4, tcltk, testthat, withr, vdiffr, knitr,
        rmarkdown
LinkingTo: cpp11 (>= 0.2.0)
License: GPL (>= 2)
URL: https://r.igraph.org/, https://igraph.org/,
        https://igraph.discourse.group/
SystemRequirements: gmp (optional), libxml2 (optional), glpk (>= 4.57,
        optional)
BugReports: https://github.com/igraph/rigraph/issues
Encoding: UTF-8
Config/Needs/build: roxygen2, devtools, irlba, pkgconfig
Config/Needs/coverage: covr
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: vs-es, scan, vs-operators, weakref,
        watts.strogatz.game
RoxygenNote: 7.2.3
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "aut"),
    person("Tamás", "Nepusz", , "ntamas@gmail.com", role = "aut",
           comment = "See also AUTHORS file."),
    person("Vincent", "Traag", role = "aut"),
    person("Szabolcs", "Horvát", , "szhorvat@gmail.com", role = "aut"),
    person("Fabio", "Zanini", , "fabio.zanini@unsw.edu.au", role = "aut"),
    person("Daniel", "Noom", role = "aut"),
    person("Kirill", "Müller", role = c("aut", "cre"), email = "kirill@cynkra.com"),
    person("Maëlle", "Salmon", role = "ctb"),
    person("Chan Zuckerberg Initiative", role = "fnd")
  )
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2023-04-03 11:04:27 UTC; kirill
Author: Gábor Csárdi [aut],
  Tamás Nepusz [aut] (See also AUTHORS file.),
  Vincent Traag [aut],
  Szabolcs Horvát [aut],
  Fabio Zanini [aut],
  Daniel Noom [aut],
  Kirill Müller [aut, cre],
  Maëlle Salmon [ctb],
  Chan Zuckerberg Initiative [fnd]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2023-04-07 17:40:07 UTC

## igraph 1.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.4.2
+Version: 1.4.3
 Title: Network Analysis and Visualization
 Description: Routines for simple graphs and network analysis. It can
   handle large graphs very well and provides functions for generating random
@@ -39,7 +39,7 @@
   )
 VignetteBuilder: knitr
 NeedsCompilation: yes
-Packaged: 2023-04-03 11:04:27 UTC; kirill
+Packaged: 2023-05-20 16:10:31 UTC; kirill
 Author: Gábor Csárdi [aut],
   Tamás Nepusz [aut] (See also AUTHORS file.),
   Vincent Traag [aut],
@@ -51,4 +51,4 @@
   Chan Zuckerberg Initiative [fnd]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2023-04-07 17:40:07 UTC
+Date/Publication: 2023-05-22 13:50:02 UTC

## igraph 1.5.0

=== DESCRIPTION ===
Package: igraph
Version: 1.5.0
Title: Network Analysis and Visualization
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0001-7098-9676")),
    person("Tamás", "Nepusz", , "ntamas@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0002-1451-338X", "See also AUTHORS file.")),
    person("Vincent", "Traag", role = "aut",
           comment = c(ORCID = "0000-0003-3170-3879")),
    person("Szabolcs", "Horvát", , "szhorvat@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0002-3100-523X")),
    person("Fabio", "Zanini", , "fabio.zanini@unsw.edu.au", role = "aut",
           comment = c(ORCID = "0000-0001-7097-8539")),
    person("Daniel", "Noom", role = "aut"),
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("Maëlle", "Salmon", role = "ctb"),
    person("Chan Zuckerberg Initiative", role = "fnd")
  )
Description: Routines for simple graphs and network analysis. It can
    handle large graphs very well and provides functions for generating
    random and regular graphs, graph visualization, centrality methods and
    much more.
License: GPL (>= 2)
URL: https://r.igraph.org/, https://igraph.org/,
        https://igraph.discourse.group/
BugReports: https://github.com/igraph/rigraph/issues
Depends: methods, R (>= 3.5.0)
Imports: cli, graphics, grDevices, magrittr, Matrix, pkgconfig (>=
        2.0.0), rlang, stats, utils
Suggests: ape (>= 5.7-0.1), callr, decor, digest, graph, igraphdata,
        knitr, rgl, rmarkdown, scales, stats4, tcltk, testthat, vdiffr,
        withr
LinkingTo: cpp11 (>= 0.2.0)
VignetteBuilder: knitr
Config/Needs/build: roxygen2, devtools, irlba, pkgconfig
Config/Needs/coverage: covr
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: vs-es, scan, vs-operators, weakref,
        watts.strogatz.game
Encoding: UTF-8
RoxygenNote: 7.2.3
SystemRequirements: gmp (optional), libxml2 (optional), glpk (>= 4.57,
        optional)
NeedsCompilation: yes
Packaged: 2023-06-15 19:00:43 UTC; kirill
Author: Gábor Csárdi [aut] (<https://orcid.org/0000-0001-7098-9676>),
  Tamás Nepusz [aut] (<https://orcid.org/0000-0002-1451-338X>, See also
    AUTHORS file.),
  Vincent Traag [aut] (<https://orcid.org/0000-0003-3170-3879>),
  Szabolcs Horvát [aut] (<https://orcid.org/0000-0002-3100-523X>),
  Fabio Zanini [aut] (<https://orcid.org/0000-0001-7097-8539>),
  Daniel Noom [aut],
  Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  Maëlle Salmon [ctb],
  Chan Zuckerberg Initiative [fnd]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2023-06-16 08:30:02 UTC

## igraph 1.5.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: igraph
-Version: 1.5.0
+Version: 1.5.0.1
 Title: Network Analysis and Visualization
 Authors@R: c(
     person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "aut",
@@ -45,7 +45,7 @@
 SystemRequirements: gmp (optional), libxml2 (optional), glpk (>= 4.57,
         optional)
 NeedsCompilation: yes
-Packaged: 2023-06-15 19:00:43 UTC; kirill
+Packaged: 2023-07-23 08:14:24 UTC; ripley
 Author: Gábor Csárdi [aut] (<https://orcid.org/0000-0001-7098-9676>),
   Tamás Nepusz [aut] (<https://orcid.org/0000-0002-1451-338X>, See also
     AUTHORS file.),
@@ -58,4 +58,4 @@
   Chan Zuckerberg Initiative [fnd]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2023-06-16 08:30:02 UTC
+Date/Publication: 2023-07-23 10:39:58 UTC

## igraph 1.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: igraph
-Version: 1.5.0.1
+Version: 1.5.1
 Title: Network Analysis and Visualization
 Authors@R: c(
     person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = "aut",
            comment = c(ORCID = "0000-0001-7098-9676")),
     person("Tamás", "Nepusz", , "ntamas@gmail.com", role = "aut",
-           comment = c(ORCID = "0000-0002-1451-338X", "See also AUTHORS file.")),
+           comment = c(ORCID = "0000-0002-1451-338X")),
     person("Vincent", "Traag", role = "aut",
            comment = c(ORCID = "0000-0003-3170-3879")),
     person("Szabolcs", "Horvát", , "szhorvat@gmail.com", role = "aut",
@@ -27,8 +27,8 @@
         https://igraph.discourse.group/
 BugReports: https://github.com/igraph/rigraph/issues
 Depends: methods, R (>= 3.5.0)
-Imports: cli, graphics, grDevices, magrittr, Matrix, pkgconfig (>=
-        2.0.0), rlang, stats, utils
+Imports: cli, graphics, grDevices, lifecycle, magrittr, Matrix,
+        pkgconfig (>= 2.0.0), rlang, stats, utils
 Suggests: ape (>= 5.7-0.1), callr, decor, digest, graph, igraphdata,
         knitr, rgl, rmarkdown, scales, stats4, tcltk, testthat, vdiffr,
         withr
@@ -45,10 +45,9 @@
 SystemRequirements: gmp (optional), libxml2 (optional), glpk (>= 4.57,
         optional)
 NeedsCompilation: yes
-Packaged: 2023-07-23 08:14:24 UTC; ripley
+Packaged: 2023-08-09 04:30:08 UTC; kirill
 Author: Gábor Csárdi [aut] (<https://orcid.org/0000-0001-7098-9676>),
-  Tamás Nepusz [aut] (<https://orcid.org/0000-0002-1451-338X>, See also
-    AUTHORS file.),
+  Tamás Nepusz [aut] (<https://orcid.org/0000-0002-1451-338X>),
   Vincent Traag [aut] (<https://orcid.org/0000-0003-3170-3879>),
   Szabolcs Horvát [aut] (<https://orcid.org/0000-0002-3100-523X>),
   Fabio Zanini [aut] (<https://orcid.org/0000-0001-7097-8539>),
@@ -58,4 +57,4 @@
   Chan Zuckerberg Initiative [fnd]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2023-07-23 10:39:58 UTC
+Date/Publication: 2023-08-10 09:00:05 UTC
